Bug 1399367 - Review Request: ocaml-ocplib-simplex - Simplex algorithm for solving systems of linear inequalities
Summary: Review Request: ocaml-ocplib-simplex - Simplex algorithm for solving systems ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-28 21:37 UTC by Jerry James
Modified: 2016-12-11 00:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-11 00:28:12 UTC
Type: ---
puntogil: fedora-review+


Attachments (Terms of Use)

Description Jerry James 2016-11-28 21:37:31 UTC
Spec URL: https://jjames.fedorapeople.org/ocaml-ocplib-simplex/ocaml-ocplib-simplex.spec
SRPM URL: https://jjames.fedorapeople.org/ocaml-ocplib-simplex/ocaml-ocplib-simplex-0.3-1.fc26.src.rpm
Description: This package contains a library implementing a simplex algorithm, in a
functional style, for solving systems of linear inequalities and
optimizing linear objective functions.
Fedora Account System Username: jjames

Comment 1 gil cattaneo 2016-11-28 23:48:35 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* LGPL (v2.1)", "LGPL (v2.1)", "Unknown or
     generated". 27 files have unknown license. Detailed output of
     licensecheck in /home/gil/1399367-ocaml-ocplib-
     simplex/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ocaml:
[x]: This should never happen

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
 make META
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ocaml-
     ocplib-simplex-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ocaml-ocplib-simplex-0.3-1.fc26.i686.rpm
          ocaml-ocplib-simplex-devel-0.3-1.fc26.i686.rpm
          ocaml-ocplib-simplex-0.3-1.fc26.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: ocaml-ocplib-simplex-debuginfo-0.3-1.fc26.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
3 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
ocaml-ocplib-simplex-devel (rpmlib, GLIBC filtered):
    ocaml-ocplib-simplex

ocaml-ocplib-simplex (rpmlib, GLIBC filtered):
    libc.so.6
    ocaml(Buffer)
    ocaml(CamlinternalFormatBasics)
    ocaml(CamlinternalLazy)
    ocaml(Format)
    ocaml(Lazy)
    ocaml(List)
    ocaml(Map)
    ocaml(Pervasives)
    ocaml(Set)
    ocaml(runtime)
    rtld(GNU_HASH)



Provides
--------
ocaml-ocplib-simplex-devel:
    ocaml-ocplib-simplex-devel
    ocaml-ocplib-simplex-devel(x86-32)

ocaml-ocplib-simplex:
    ocaml(OcplibSimplex)
    ocaml-ocplib-simplex
    ocaml-ocplib-simplex(x86-32)



Source checksums
----------------
https://github.com/OCamlPro-Iguernlala/ocplib-simplex/archive/0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 59bf450593e2407d52029140803e0e1343d6e30d1564f65cb2b7ec9582681171
  CHECKSUM(SHA256) upstream package : 59bf450593e2407d52029140803e0e1343d6e30d1564f65cb2b7ec9582681171


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1399367 --plugins C/C++ -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Ocaml, C/C++
Disabled plugins: Java, Python, SugarActivity, fonts, Haskell, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 gil cattaneo 2016-11-28 23:49:37 UTC
Issues:
[!]: Uses parallel make %{?_smp_mflags} macro.
 make META

[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ocaml-
     ocplib-simplex-devel

Comment 3 gil cattaneo 2016-11-28 23:50:56 UTC
(In reply to gil cattaneo from comment #2)
> Issues:
> [!]: Uses parallel make %{?_smp_mflags} macro.
>  make META
> 
> [!]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ocaml-
>      ocplib-simplex-devel

Please, use:
Source0:        https://github.com/OCamlPro-Iguernlala/%{pkgname}/archive/%{version}/%{pkgname}-%{version}.tar.gz

Comment 4 Jerry James 2016-11-29 04:33:13 UTC
(In reply to gil cattaneo from comment #2)
> Issues:
> [!]: Uses parallel make %{?_smp_mflags} macro.
>  make META

That step turned out to be unnecessary.  I have removed it.

> [!]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ocaml-
>      ocplib-simplex-devel

Fixed.

(In reply to gil cattaneo from comment #3)
> Please, use:
> Source0:       
> https://github.com/OCamlPro-Iguernlala/%{pkgname}/archive/%{version}/
> %{pkgname}-%{version}.tar.gz

Fixed.

New URLs:
Spec URL: https://jjames.fedorapeople.org/ocaml-ocplib-simplex/ocaml-ocplib-simplex.spec
SRPM URL: https://jjames.fedorapeople.org/ocaml-ocplib-simplex/ocaml-ocplib-simplex-0.3-2.fc26.src.rpm

Comment 5 Gwyn Ciesla 2016-11-29 15:02:37 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/ocaml-ocplib-simplex

Comment 6 Fedora Update System 2016-11-29 16:03:59 UTC
ocaml-ocplib-simplex-0.3-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6da0a6eedd

Comment 7 Fedora Update System 2016-12-03 04:31:15 UTC
ocaml-ocplib-simplex-0.3-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6da0a6eedd

Comment 8 Fedora Update System 2016-12-11 00:28:12 UTC
ocaml-ocplib-simplex-0.3-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.